From 9f9eab98baabfb9d3e6826e916ce4e56eb98732a Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@otacoo.com>
Date: Wed, 23 Mar 2016 15:04:48 +0900
Subject: [PATCH 1/4] Fix declaration of TIMEZONE_GLOBAL and TZNAME_GLOBAL for
 WIN32

When compiling the code with WIN32, those two variables were declared
as timezone and tzname, while the objects present for MSVC are _timezone
and _tzname.
---
 src/include/port.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/include/port.h b/src/include/port.h
index cb13dd8..455f723 100644
--- a/src/include/port.h
+++ b/src/include/port.h
@@ -214,12 +214,12 @@ extern int	pgkill(int pid, int sig);
 extern int	pclose_check(FILE *stream);
 
 /* Global variable holding time zone information. */
-#ifndef __CYGWIN__
-#define TIMEZONE_GLOBAL timezone
-#define TZNAME_GLOBAL tzname
-#else
+#if defined(WIN32) || defined(__CYGWIN__)
 #define TIMEZONE_GLOBAL _timezone
 #define TZNAME_GLOBAL _tzname
+#else
+#define TIMEZONE_GLOBAL timezone
+#define TZNAME_GLOBAL tzname
 #endif
 
 #if defined(WIN32) || defined(__CYGWIN__)
-- 
2.7.3

